Package com.sun.ts.lib.harness

# Class ExecutionMode

java.lang.Object
com.sun.ts.lib.harness.ExecutionMode

public class ExecutionMode extends Object

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `DEFAULT`
  `static final int`
  `DEPLOY`
  `static final int`
  `DEPLOY_RUN`
  `static final int`
  `DEPLOY_RUN_UNDEPLOY`
  `static final int`
  `LIST`
  `static final int`
  `RUN`
  `static final int`
  `UNDEPLOY`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static int`
  `getExecutionMode(PropertyManagerInterface propMgr)`
  gets the current execution mode from PropertyManagerInterface or from a system property if overridden on the commandline.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### DEPLOY_RUN_UNDEPLOY

    public static final int DEPLOY_RUN_UNDEPLOY
    See Also:
      - Constant Field Values

  - ### DEPLOY

    public static final int DEPLOY
    See Also:
      - Constant Field Values

  - ### RUN

    public static final int RUN
    See Also:
      - Constant Field Values

  - ### UNDEPLOY

    public static final int UNDEPLOY
    See Also:
      - Constant Field Values

  - ### DEPLOY_RUN

    public static final int DEPLOY_RUN
    See Also:
      - Constant Field Values

  - ### LIST

    public static final int LIST
    See Also:
      - Constant Field Values

  - ### DEFAULT

    public static final int DEFAULT
    See Also:
      - Constant Field Values

- ## Method Details

  - ### getExecutionMode

    public static int getExecutionMode(PropertyManagerInterface propMgr)
    gets the current execution mode from PropertyManagerInterface or from a system property if overridden on the commandline. Note that current execution mode is not cached since harness.executeMode property may change between test executions.
    Parameters:
      `propMgr` - an implementation of PropertyManagerInterface.
    Returns:
      an int representing one of the 5 modes